import java.io.*;

public class ReadFile
{
	private BufferedReader	in;
	private boolean		fehler;

	public ReadFile(String path, String name) {
		try {
			in = new BufferedReader(new FileReader(new File(path, name)));
			fehler = false;
			}
		catch (IOException e) {
			fehler = true;
			System.out.println("Fehler beim ffnen: " + e);
			}
		}
	
	public String readLine() {
		String s = null;
		if (fehler)
			return null;
		try {
			s = in.readLine();
			}
		catch (IOException e) {
			System.out.println("Fehler beim Lesen: " + e);
			}
		return s;
		}
	
	public void close() {
		try {
			fehler = true;
			in.close();
			}
		catch (IOException e) {
			System.out.println("Fehler beim Schlieen: " + e);
			}
		}

	/* Testprogramm */
	public static void main(String args[]) {
		String path = "/anydir/ReadFile";
		ReadFile file = new ReadFile(path, "test.txt");

		String s;
		while (null != (s = file.readLine()))
			System.out.println(s);

		file.close();
		}
	}
